using System.ComponentModel;
using System.Xml.Serialization;

namespace EQIA.EQIDL
{
    public partial class StaticScreenPiece : ScreenPiece
    {
        private bool myAutoDraw;

        /// <summary>
        /// Will this be drawn automatically?
        /// </summary>
        [XmlElement("AutoDraw", IsNullable = false)]
        [Browsable(true), Description("Have this piece automatically appear (as opposed to having the code programmatically choose to draw it)")]
        public bool AutoDraw { get { return myAutoDraw; } set { myAutoDraw = value; } }

        public StaticScreenPiece() : this(null) { }
        public StaticScreenPiece(EQInterface eqInterface) : base(eqInterface) { }

        protected override void SetProperties(object obj)
        {
            base.SetProperties(obj);

            StaticScreenPiece temp_StaticScreenPiece = obj as StaticScreenPiece;
            if (temp_StaticScreenPiece != null)
                AutoDraw = temp_StaticScreenPiece.AutoDraw;
        }
    }
}
